
Workflow - Feature #83

Purge of processes running for a long time

07/31/2013 02:14 PM - Lionel Martin

Status: Resolved Start date: 07/31/2013

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Operating System: Any Tested: Yes

Version: 3.03   

Description

We have a workflow whose retention delay has been configured to 7 days.

In this workflow, a process can sometimes run for several weeks.

We noticed that for such processes, the purge deletes them as soon as they are terminated.

We presume that the purge task uses the process creation date for the retention delay, but we think it should rather be the lastest

date where the process has been modified.

Whould it be possible to modify the purge to take into account the process last modified date instead of the creation date?

Thanks

History

#1 - 08/20/2015 09:47 AM - Pierre Marc

Available in v 3.06. The termination date has been added to the database.

#2 - 08/20/2015 09:48 AM - Pierre Marc

- Status changed from New to Resolved

- % Done changed from 0 to 100

- Tested changed from No to Yes
